# $Id: optimize.sql,v 1.2 2001/03/27 10:04:30 torben Exp $
#
# Indexes for query speed optimization

create index record_extension_oid_idx on record_extension (oid);
create index record_extension_tablename_idx on record_extension (tablename(10));
create index record_domain_tablename_idx on record_extension (domain(10));
create index article_sitegroup_idx on article (sitegroup);
create index blobs_sitegroup_idx on blobs (sitegroup);
create index element_sitegroup_idx on element (sitegroup);
create index event_sitegroup_idx on event (sitegroup);
create index eventmember_sitegroup_idx on eventmember (sitegroup);
create index file_sitegroup_idx on file (sitegroup);
create index grp_sitegroup_idx on grp (sitegroup);
create index image_sitegroup_idx on image (sitegroup);
create index member_sitegroup_idx on member (sitegroup);
create index page_sitegroup_idx on page (sitegroup);
create index pageelement_sitegroup_idx on pageelement (sitegroup);
create index pagelink_sitegroup_idx on pagelink (sitegroup);
create index person_sitegroup_idx on person (sitegroup);
create index preference_sitegroup_idx on preference (sitegroup);
create index record_extension_sitegroup_idx on record_extension (sitegroup);
create index sitegroup_sitegroup_idx on sitegroup (sitegroup);
create index snippet_sitegroup_idx on snippet (sitegroup);
create index snippetdir_sitegroup_idx on snippetdir (sitegroup);
create index style_sitegroup_idx on style (sitegroup);
create index topic_sitegroup_idx on topic (sitegroup);

create index article_name_idx on article (name(10));
create index blobs_name_idx on blobs (name(10));
create index element_name_idx on element (name(10));
create index file_name_idx on file (name(10));
create index grp_name_idx on grp (name(10));
create index host_name_idx on host (name(10));
create index page_name_idx on page (name(10));
create index pageelement_name_idx on pageelement (name(10));
create index pagelink_name_idx on pagelink (name(10));
create index preference_name_idx on preference (name(10));
create index record_extension_name_idx on record_extension (name(10));
